Subject: Re: bug#51357: 26.3; Recursively copy a directory into a destination where directory already exists no longer works.

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 24 Oct 2021 20:03:10 +0200

[email-masked] writes:

> In dired-mode when pressing 'C' on a directory to copy it somewhere, it
> now only works in case the directory doesn't already exist. Otherwise it fails
> with file-already-exists error.
> Overwrite mode or not doesn't seem to make any difference.
>
> It seems there's a change in copy-directory where make-directory used to
> be called with parents hardcoded to 't'. Now it's not and it thereby
> fails.

I tried to reproduce this in Emacs 26.3 and failed.  Here's what I
tried:

./src/emacs -Q .

I went to "admin" (a directory) and said:

C //tmp/newdir3 RET yes RET

Then I went to "etc" (another dir) and said:

C //tmp/newdir3 RET yes RET

And I didn't get any errors.

So do you have a step-by-step recipe to reproduce the problem?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no